-- sender1.sql

SET SERVEROUTPUT ON
BEGIN
  DBMS_PIPE.PACK_MESSAGE('sender 1 : msg 1 : item 1');
  DBMS_PIPE.PACK_MESSAGE('sender 1 : msg 1 : item 2');
  DBMS_PIPE.PACK_MESSAGE('sender 1 : msg 1 : item 3');
  IF DBMS_PIPE.SEND_MESSAGE('LabPipe') = 0 THEN
    DBMS_OUTPUT.PUT_LINE('Message sent successfully');
  ELSE
    DBMS_OUTPUT.PUT_LINE('Message failed');
  END IF;
END;
/
